Parser: Scenario
ID: Scenario_Job_SampleDungeon
BaseBiome: Dungeon
BaseTheme: Torture
BaseTone: Evil
MonsterFamily: Undead
ScenarioMeshes: [DGN_Bones_01_MAT,DGN_Bones_02_MAT,DGN_Bones_03_MAT,DGN_Bones_04_MAT,DGN_Bones_05_MAT,DGN_Bones_06_MAT]
ChestTreasureTables: [TT_SampleDungeon_Chest]

ScenarioStartMessage:
    MessageLayoutType: 4
    DialogueLines:
        - Text: Scenario_Job_SampleDungeon_Intro
          Character: Narrator
ScenarioCompleteMessage:
    MessageLayoutType: 4
    DialogueLines:
        - Text: Scenario_Job_SampleDungeon_Outro
          Character: Narrator

ScenarioLayout:
    Objectives:
        KillAllEnemies: Win
    ScenarioModifiers:
        SM1:
            Type: TriggerAbility
            TriggerPhase: StartScenario
            ScenarioAbilityID: ScenarioAbility_Discard2Self
            ApplyToEachActorOnce: True
            Filter:
                ActorType: [Player]
    Rooms:
        Room1:
            Threat: 100
            PossibleRooms:
                - MediumEntrance:
                    MonsterGroup: Undead_CultistsSkellies
        Room2:
            Threat: 100
            PossibleRooms:
                - EmptyRandomCorridor:
                    MonsterGroup: Undead_CultistsSkellies
        Room3: 
            Threat: 100
            PossibleRooms:
                - OldSummoningCircle:
                    SubTheme: Demon
                    Tone: Demonic
                    MonsterGroup: Demon_Night_PlusCultists
                    TreasureChestChance: [100]
                    Spawners:
                      - SpawnerTriggerType: StartRound
                        ScenarioActivationType: RoomRevealed
                        SpawnStartRound: 2
                        LoopSpawnPattern: True
                        SpawnRoundInterval: [1,1,1,1]
                        SpawnRoundEntries: 
                          Default:
                            - SpawnClasses: [NightDemonID, NightDemonID, NightDemonID, NightDemonID]
                            - SpawnClasses: [Empty, Empty, NightDemonID, NightDemonEliteID]
                            - SpawnClasses: [Empty, NightDemonID, NightDemonID, NightDemonEliteID]
                            - SpawnClasses: [NightDemonID, NightDemonEliteID, NightDemonEliteID, NightDemonEliteID]